<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <form action="">
        <div>
            <label for="nombre">Nombre:</label>
            <input type="text" name="nombre" id="nombre">
        </div>
        <div>
            <label for="apellidos">Apellidos:</label>
            <input type="text" name="apellidos" id="apellidos">
        </div>
        <div>
            <label for="edad">Edad:</label>
            <input type="number" name="edad" id="edad">
        </div>
        <div>
            <button type="button" id="enviar">Enviar</button>
            <button type="button" id="mostrar">Mostrar array</button>
        </div>
    </form>

    <div class="salida">

    </div>
    <script src="4.js"></script>
</body>

</html>